
# ZopeTestCase was not designed to run tests as part of the
# Zope test suite proper. In particular, it intercepts product
# installation. We have to work around this for the TXNG tests
# by starting up Zope2 before doing anything else.
#
# Note: txngtest must be imported first thing by test modules!

def _part_of_zope_suite():
    # Find out if we run from softwarehome
    from os.path import normcase, realpath
    from App.config import getConfiguration
    softwarehome = normcase(realpath(getConfiguration().softwarehome))
    return normcase(realpath(__file__)).startswith(softwarehome)

def _start_zope():
    import Testing
    import Zope2
    Zope2.startup()

def _main():
    if _part_of_zope_suite():
        _start_zope()
    else:
        from Testing.ZopeTestCase import installProduct
        installProduct('ZCatalog')
        installProduct('GenericSetup')
        installProduct('TextIndexNG3')
        installProduct('Five')

_main()


from Testing.ZopeTestCase import *

class TextIndexNG3TestCase(ZopeTestCase):
    pass
